Bug 883417 - notifier.conf: incomplete validation for several parameters.
notifier.conf: incomplete validation for several parameters.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Noam Slomianko
Ilanit Stein
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-04 09:53 EST by Ilanit Stein
Modified: 2016-02-10 14:12 EST (History)
9 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11549 None None None Never

  None (edit)
Description Ilanit Stein 2012-12-04 09:53:33 EST
Description of problem:
Following parameters settings do not generate error after notifier service restart, as expected:
1) MAIL_USER=-111 (negative number)
2) MAIL_PORT=123 (wrong number)
3) HTML_MESSAGE_FORMAT=blabla (should be true/false)

Version-Release number of selected component (if applicable):
SI24.5

How reproducible:
always
Comment 1 Yaniv Kaul 2012-12-04 09:54:55 EST
(In reply to comment #0)
> Description of problem:
> Following parameters settings do not generate error after notifier service
> restart, as expected:
> 1) MAIL_USER=-111 (negative number)
> 2) MAIL_PORT=123 (wrong number)

What's wrong with this?

> 3) HTML_MESSAGE_FORMAT=blabla (should be true/false)
> 
> Version-Release number of selected component (if applicable):
> SI24.5
> 
> How reproducible:
> always
Comment 2 Ilanit Stein 2012-12-09 05:10:36 EST
The missing validation for these parameters do not point user to the problem of which event notification fail.
Comment 3 Ilanit Stein 2012-12-09 05:14:23 EST
The missing validation for these parameters do not point user to the problem
of which event notification fail.
Comment 4 Yair Zaslavsky 2012-12-30 06:19:45 EST
We should understand exactly what validation we need for the configuration.
Comment 8 Ilanit Stein 2013-02-28 07:30:58 EST
Tested on sf-8:

1) MAIL_USER=-111 (negative number) -> Do not fail notifier restart
2) MAIL_PORT=60000 (wrong number) -> Do not fail notifier restart
3) HTML_MESSAGE_FORMAT=blabla -> Fail notifier service restart:
Error: HTML_MESSAGE_FORMAT must be true or false
                                                           [FAILED]
Comment 9 Doron Fediuck 2013-02-28 09:50:14 EST
Ilanit,
Valid mail port range is 1 to 65536. 
So in your case it shouldn't be restarted.

Noam, please check what happened to the user and boolean.
Comment 12 Doron Fediuck 2013-03-03 08:13:18 EST
Ilanit,
Both HTML message format and mail port were verified.
We have a fix for the user as a part of bug 885436, so please verify this BZ.
Comment 13 Ilanit Stein 2013-03-13 05:50:28 EDT
Verified on sf-8, as mentioned in comment 8.
Comment 14 Itamar Heim 2013-06-11 05:49:02 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 05:49:19 EDT
3.2 has been released
Comment 16 Itamar Heim 2013-06-11 05:57:33 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.